package com.yonge.cooleshow.auth.api.entity;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_device):
 */
public class SysUserDevice {

	/**  */
	private Long id;
	
	/** 用户编号 */
	private Long userId;
	
	/** 设备号 */
	private String deviceNum;
	
	/** 绑定时间 */
	private java.util.Date bindTime;
	
	private Date updateTime;
	
	/** 设备类型 */
	private String deviceType;
	
	private String clientId;
	
	private Boolean delFlag= false;
	
	private SysUser user;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Long userId){
		this.userId = userId;
	}
	
	public Long getUserId(){
		return this.userId;
	}
			
	public void setDeviceNum(String deviceNum){
		this.deviceNum = deviceNum;
	}
	
	public String getDeviceNum(){
		return this.deviceNum;
	}
			
	public void setBindTime(java.util.Date bindTime){
		this.bindTime = bindTime;
	}
	
	public java.util.Date getBindTime(){
		return this.bindTime;
	}
			
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	
	public String getDeviceType(){
		return this.deviceType;
	}
			
	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
